precision mediump float;

varying vec2 v_texcoord_0;
varying vec4 v_texcoord_blur_1;
varying vec4 v_texcoord_blur_2;

uniform sampler2D s_diffuse;

const vec3 c_blur_weights = vec3( 0.1111111111111111,
                                  0.2222222222222222,
                                  0.3333333333333333 );

#define WEIGHT2 c_blur_weights.x
#define WEIGHT1 c_blur_weights.y
#define WEIGHT0 c_blur_weights.z

void main()
{
	vec4 color;
	color  = texture2D(s_diffuse, v_texcoord_blur_2.xy) * WEIGHT2;
	color += texture2D(s_diffuse, v_texcoord_blur_1.xy) * WEIGHT1;
	color += texture2D(s_diffuse, v_texcoord_0)         * WEIGHT0;
	color += texture2D(s_diffuse, v_texcoord_blur_1.zw) * WEIGHT1;
	color += texture2D(s_diffuse, v_texcoord_blur_2.zw) * WEIGHT2;
	
	gl_FragColor = color;
}
